## nordugrid-arc 6.18.0

=== debian/changelog ===
nordugrid-arc (6.18.0-2.2ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:21:06 +0100

nordugrid-arc (6.18.0-2.2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:16:15 +0000

nordugrid-arc (6.18.0-2.2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:18:34 +0000

nordugrid-arc (6.18.0-2.2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:11:30 +0000

nordugrid-arc (6.18.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 09:44:15 +0000

nordugrid-arc (6.18.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063204

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 13:30:18 +0000

nordugrid-arc (6.18.0-2) unstable; urgency=medium

  * Disable test incompatible with SWIG 4.2
  * Fix compilation with libxml2 2.12

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Feb 2024 00:29:28 +0100

nordugrid-arc (6.18.0-1) unstable; urgency=medium

  * 6.18.0 Release
  * Drop memory work-around for mipsel (architecture no longer built)
  * Drop transitional package nordugrid-arc-plugins-globus
    (Closes: #1038282)
  * Replace Build-Dependency libdb++-dev with libdb5.3++-dev
    (Closes: #1042084)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 Oct 2023 13:27:10 +0200
