## nordugrid-arc 6.20.1

=== debian/changelog ===
nordugrid-arc (6.20.1-1) unstable; urgency=medium

  * 6.20.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 08 Jul 2024 07:46:59 +0200

nordugrid-arc (6.20.0-1) unstable; urgency=medium

  * 6.20.0 Release
  * Move systemd unit files to /usr/lib/systemd/system (Closes: #1073601)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 03 Jul 2024 11:04:54 +0200

nordugrid-arc (6.19.0-1) unstable; urgency=medium

  * 6.19.0 Release
  * Drop patches accepted upstream
  * Re-enable disabled SWIG test - now compatible with SWIG 4.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 13 Apr 2024 05:44:44 +0200
