=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nordugrid-arc
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Uploaders: Anders Waananen <waananen@nbi.dk>
-Build-Depends: dpkg-dev (>= 1.22.5), dpkg-dev (>= 1.22.5),
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  dh-python,
  libxml2-dev (>= 2.4.0),
  libssl-dev,
@@ -14,7 +14,7 @@
  libldap2-dev,
  uuid-dev,
  libcppunit-dev,
- pkg-config,
+ pkgconf,
  libdb5.3++-dev,
  libxmlsec1-dev (>= 1.2.4),
  libglobus-common-dev,
@@ -26,7 +26,6 @@
  openssl,
  swig,
  libnss3-dev,
- pylint,
  libjson-xs-perl,
  libxml-simple-perl,
  libdbi-perl,
@@ -36,7 +35,7 @@
  libinline-python-perl (>= 0.56-2~),
  bash-completion,
  python3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
@@ -44,13 +43,14 @@
 Package: libarccommon3t64
 Provides: ${t64:Provides}
 X-Time64-Compat: libarccommon3v5
-Replaces:libarccommon3v5, 
+Replaces:
  nordugrid-arc-hed (<< 1.0.1~rc2~),
  nordugrid-arc-arex (<< 2.0.1~),
  libarccommon0,
  libarccommon1,
  libarccommon2,
- libarccommon3
+ libarccommon3,
+ libarccommon3v5
 Conflicts:
  nordugrid-arc-chelonia (<< 2.0.0~),
  nordugrid-arc-hopi (<< 2.0.0~),
@@ -65,13 +65,14 @@
  nordugrid-arc-acix-core (<< 6.14.0-2~),
  nordugrid-arc-acix-scanner (<< 6.14.0-2~),
  nordugrid-arc-acix-index (<< 6.14.0-2~)
-Breaks:libarccommon3v5 (<< ${source:Version}), 
+Breaks:
  nordugrid-arc-hed (<< 1.0.1~rc2~),
  nordugrid-arc-arex (<< 2.0.1~),
  libarccommon0,
  libarccommon1,
  libarccommon2,
- libarccommon3
+ libarccommon3,
+ libarccommon3v5 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
@@ -219,10 +220,10 @@
 
 Package: nordugrid-arc-arcctl
 Replaces:
- libarccommon3t64 (<< 6.5.0~),
+ libarccommon3v5 (<< 6.5.0~),
  nordugrid-arc-arex (<< 6.5.0~)
 Breaks:
- libarccommon3t64 (<< 6.5.0~),
+ libarccommon3v5 (<< 6.5.0~),
  nordugrid-arc-arex (<< 6.5.0~)
 Architecture: all
 Depends:
@@ -239,11 +240,11 @@
 
 Package: nordugrid-arc-arcctl-service
 Replaces:
- libarccommon3t64 (<< 6.5.0~),
+ libarccommon3v5 (<< 6.5.0~),
  nordugrid-arc-arcctl (<< 6.6.0~),
  nordugrid-arc-arex (<< 6.6.0~)
 Breaks:
- libarccommon3t64 (<< 6.5.0~),
+ libarccommon3v5 (<< 6.5.0~),
  nordugrid-arc-arcctl (<< 6.6.0~),
  nordugrid-arc-arex (<< 6.6.0~)
 Architecture: all
@@ -268,14 +269,13 @@
  nordugrid-arc-cache-service (<< 6.0.0~),
  nordugrid-arc-candypond (<< 6.0.0~),
  nordugrid-arc-aris (<< 6.0.0~),
- libarccommon3t64 (<< 6.5.0~)
+ libarccommon3v5 (<< 6.5.0~)
 Conflicts:
  nordugrid-arc-cache-service (<< 6.0.0~),
  nordugrid-arc-candypond (<< 6.0.0~)
 Breaks:
  nordugrid-arc-aris (<< 6.0.0~),
- libarccommon3t64 (<< 6.5.0~),
- python3-minimal (<< 3.12.3-0ubuntu2~)
+ libarccommon3v5 (<< 6.5.0~)
 Architecture: any
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -358,9 +358,11 @@
 
 Package: libarcglobusutils3t64
 Provides: ${t64:Provides}
-Replaces:libarcglobusutils3, 
+Replaces:
+ libarcglobusutils3,
  nordugrid-arc-plugins-globus (<< 6.5.0~)
-Breaks:libarcglobusutils3 (<< ${source:Version}), 
+Breaks:
+ libarcglobusutils3 (<< ${source:Version}),
  nordugrid-arc-plugins-globus (<< 6.5.0~)
 Architecture: any
 Section: libs
@@ -386,3 +388,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libarccommon3t64 (= ${binary:Version}),
+ libarcglobusutils3t64 (= ${binary:Version})
+Description: ARC Globus dependent DMCs
