## nordugrid-arc 6.21.1

=== debian/changelog ===
nordugrid-arc (6.21.1-3) unstable; urgency=medium

  * Backport upstream's fix for VOMS attribute certificates with openssl 3.4
    (Closes: #1092084)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 21 Feb 2025 12:36:44 +0100

nordugrid-arc (6.21.1-2) unstable; urgency=medium

  * OpenSSL 3.4 introduces support for attribute certificate (AC) extensions.
    However, ARC has implemented AC in order to support VOMS extensions to
    proxy certificates. The two implementations are not fully compatible and
    the VOMS AC unit test fails if the target attribute is present in the AC.
    This patch removes the target attribute from the AC unit test so that
    the test succeeds while the issue is investigated.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 15 Jan 2025 10:13:41 +0100

nordugrid-arc (6.21.1-1) unstable; urgency=medium

  * 6.21.1 Release
  * Properly close bug fixed previous release (Closes: #1076549)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 11 Dec 2024 07:01:40 +0100

nordugrid-arc (6.21.0-1) unstable; urgency=medium

  * 6.21.0 Release (#1076549)
  * Add Build-Depends on python3-setuptools (Closes: #1080682)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Nov 2024 09:41:52 +0100
