=== debian/control ===
--- 
+++ 
@@ -34,8 +34,9 @@
  libsystemd-dev [linux-any],
  libinline-python-perl (>= 0.56-2~),
  bash-completion,
- python3-dev
-Standards-Version: 4.7.0
+ python3-dev,
+ python3-setuptools
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
@@ -289,7 +290,8 @@
  nordugrid-arc-plugins-needed (= ${binary:Version}),
  nordugrid-arc-arcctl-service (= ${source:Version}),
  libjson-xs-perl,
- libxml-simple-perl
+ libxml-simple-perl,
+ procps
 Description: ARC Resource-coupled EXecution service
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
