=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,10 @@
 		    --enable-gfal \
 		    --enable-internal \
 		    --enable-systemd=$(SYSTEMD) \
-		    --with-systemd-units-location=/lib/systemd/system \
+		    --with-systemd-units-location=/usr/lib/systemd/system \
 		    --with-sysv-scripts-location=/etc/init.d \
-		    --with-python=python3
+		    --with-python=python3 \
+		    --disable-pylint
 
 override_dh_auto_clean:
 	dh_auto_clean
