## nordugrid-arc 7.0.0

=== debian/changelog ===
nordugrid-arc (7.0.0-3) unstable; urgency=medium

  * Update the VOMS attribute certificate signing hash algorithm
  * Fix unowned directory /etc/arc.conf.d

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 30 Apr 2025 13:39:01 +0200

nordugrid-arc (7.0.0-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 08 Apr 2025 09:28:56 +0200

nordugrid-arc (7.0.0-1) unstable; urgency=medium

  * 7.0.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 01 Apr 2025 12:49:34 +0200
