=== debian/control ===
--- 
+++ 
@@ -5,17 +5,14 @@
 Uploaders: Anders Waananen <waananen@nbi.dk>
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
  dh-python,
  libxml2-dev (>= 2.4.0),
  libssl-dev,
  libglibmm-2.4-dev,
  libltdl-dev,
- libldap2-dev,
  uuid-dev,
  libcppunit-dev,
  pkgconf,
- libdb5.3++-dev,
  libxmlsec1-dev (>= 1.2.4),
  libglobus-common-dev,
  libglobus-gssapi-gsi-dev,
@@ -23,6 +20,7 @@
  libglobus-ftp-control-dev,
  libxrootd-client-dev,
  libgfal2-dev,
+ libs3-dev,
  openssl,
  swig,
  libnss3-dev,
@@ -32,18 +30,18 @@
  libsqlite3-dev (>= 3.6),
  libldns-dev,
  libsystemd-dev [linux-any],
- libinline-python-perl (>= 0.56-2~),
  bash-completion,
+ help2man,
  python3-dev,
- python3-setuptools
-Standards-Version: 4.7.1
+ python3-pip,
+ python3-setuptools,
+ python3-wheel
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
 
-Package: libarccommon3t64
-Provides: ${t64:Provides}
-X-Time64-Compat: libarccommon3v5
+Package: libarccommon4
 Replaces:
  nordugrid-arc-hed (<< 1.0.1~rc2~),
  nordugrid-arc-arex (<< 2.0.1~),
@@ -51,7 +49,8 @@
  libarccommon1,
  libarccommon2,
  libarccommon3,
- libarccommon3v5
+ libarccommon3v5,
+ libarccommon3t64
 Conflicts:
  nordugrid-arc-chelonia (<< 2.0.0~),
  nordugrid-arc-hopi (<< 2.0.0~),
@@ -63,9 +62,15 @@
  nordugrid-arc-egiis (<< 6.0.0~),
  nordugrid-arc-python (<< 6.0.0~),
  nordugrid-arc-acix-cache (<< 6.0.0~),
- nordugrid-arc-acix-core (<< 6.14.0-2~),
- nordugrid-arc-acix-scanner (<< 6.14.0-2~),
- nordugrid-arc-acix-index (<< 6.14.0-2~)
+ nordugrid-arc-acix-core (<< 7.0.0~),
+ nordugrid-arc-acix-scanner (<< 7.0.0~),
+ nordugrid-arc-acix-index (<< 7.0.0~),
+ nordugrid-arc-arex-python-lrms (<< 7.0.0~),
+ nordugrid-arc-gridftpd (<< 7.0.0~),
+ nordugrid-arc-nordugridmap (<< 7.0.0~),
+ nordugrid-arc-gridmap-utils (<< 6.0.0~),
+ nordugrid-arc-plugins-gridftpjob (<< 7.0.0~),
+ nordugrid-arc-plugins-ldap (<< 7.0.0~)
 Breaks:
  nordugrid-arc-hed (<< 1.0.1~rc2~),
  nordugrid-arc-arex (<< 2.0.1~),
@@ -73,7 +78,8 @@
  libarccommon1,
  libarccommon2,
  libarccommon3,
- libarccommon3v5 (<< ${source:Version})
+ libarccommon3v5,
+ libarccommon3t64
 Architecture: any
 Section: libs
 Depends:
@@ -97,7 +103,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libarccommon3t64 (= ${binary:Version}),
+ libarccommon4 (= ${binary:Version}),
  nordugrid-arc-plugins-needed (= ${binary:Version})
 Description: ARC command line clients
  NorduGrid is a collaboration aiming at development, maintenance and
@@ -119,7 +125,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libarccommon3t64 (= ${binary:Version})
+ libarccommon4 (= ${binary:Version})
 Description: ARC Hosting Environment Daemon
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -128,33 +134,14 @@
  The ARC Hosting Environment Daemon (HED) is a Web Service container
  for ARC services.
 
-Package: nordugrid-arc-gridftpd
+Package: nordugrid-arc-datadelivery-service
 Architecture: any
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libarccommon3t64 (= ${binary:Version}),
- nordugrid-arc-plugins-gridftp (= ${binary:Version}),
- nordugrid-arc-arcctl-service (= ${source:Version})
-Description: ARC GridFTP server
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- This package contains the ARC gridftp server which can be used as a
- custom job submission interface in front of an ARC enabled computing
- cluster or as a low-level dedicated gridftp file server.
-
-Package: nordugrid-arc-datadelivery-service
-Architecture: any
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libarccommon3t64 (= ${binary:Version}),
+ libarccommon4 (= ${binary:Version}),
  nordugrid-arc-hed (= ${binary:Version}),
  nordugrid-arc-plugins-needed (= ${binary:Version}),
  nordugrid-arc-arcctl-service (= ${source:Version})
@@ -230,7 +217,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- libarccommon3t64 (>= ${source:Version})
+ python3-jwcrypto,
+ libarccommon4 (>= ${source:Version})
 Description: ARC Control Tool
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -252,7 +240,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- libarccommon3t64 (>= ${source:Version}),
+ libarccommon4 (>= ${source:Version}),
  nordugrid-arc-arcctl (= ${source:Version})
 Description: ARC Control Tool - service control modules
  NorduGrid is a collaboration aiming at development, maintenance and
@@ -285,9 +273,10 @@
  ${misc:Depends},
  ${perl:Depends},
  ${python3:Depends},
- libarccommon3t64 (= ${binary:Version}),
+ libarccommon4 (= ${binary:Version}),
  nordugrid-arc-hed (= ${binary:Version}),
  nordugrid-arc-plugins-needed (= ${binary:Version}),
+ nordugrid-arc-arcctl (= ${source:Version}),
  nordugrid-arc-arcctl-service (= ${source:Version}),
  libjson-xs-perl,
  libxml-simple-perl,
@@ -305,26 +294,24 @@
  collection and exposure, accounting information gathering and
  publishing.
 
-Package: nordugrid-arc-arex-python-lrms
-Replaces:
- nordugrid-arc-arex (<< 6.0.0~)
-Breaks:
- nordugrid-arc-arex (<< 6.0.0~)
-Architecture: any
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- libinline-python-perl (>= 0.56-2~),
- nordugrid-arc-arex (= ${binary:Version}),
- python3-nordugrid-arc (= ${binary:Version})
-Description: ARC Resource-coupled EXecution service - Python LRMS backends
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- The Python LRMS backends are a new implementation of the AREX LRMS
- backend scripts written in Python. Currently only the SLURM LRMS is
- supported. It is released as a technology preview.
+Package: nordugrid-arc-arex-lrms-contrib
+Replaces:
+ nordugrid-arc-arex (<< 7.0.0~)
+Breaks:
+ nordugrid-arc-arex (<< 7.0.0~)
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${perl:Depends},
+ ${python3:Depends},
+ nordugrid-arc-arex (>= ${source:Version})
+Description: ARC Resource-coupled EXecution service - conributed LRMS backends
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ The AREX contributed LRMS backends package contains additional LRMS
+ support script contributed by the ARC user community.
 
 Package: nordugrid-arc-community-rtes
 Architecture: all
@@ -346,10 +333,16 @@
 
 Package: nordugrid-arc-plugins-needed
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libarccommon3t64 (= ${binary:Version})
+Provides:
+ nordugrid-arc-plugins-arcrest
+Replaces:
+ nordugrid-arc-plugins-arcrest (<< 7.0.0~)
+Conflicts:
+ nordugrid-arc-plugins-arcrest (<< 7.0.0~)
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libarccommon4 (= ${binary:Version})
 Description: ARC base plugins
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -358,20 +351,21 @@
  ARC base plugins. This includes the Message Chain Components (MCCs)
  and Data Manager Components (DMCs).
 
-Package: libarcglobusutils3t64
-Provides: ${t64:Provides}
+Package: libarcglobusutils4
 Replaces:
  libarcglobusutils3,
- nordugrid-arc-plugins-globus (<< 6.5.0~)
-Breaks:
- libarcglobusutils3 (<< ${source:Version}),
+ libarcglobusutils3t64,
+ nordugrid-arc-plugins-globus (<< 6.5.0~)
+Breaks:
+ libarcglobusutils3,
+ libarcglobusutils3t64,
  nordugrid-arc-plugins-globus (<< 6.5.0~)
 Architecture: any
 Section: libs
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libarccommon3t64 (= ${binary:Version})
+ libarccommon4 (= ${binary:Version})
 Description: ARC Globus plugins common libraries
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -390,6 +384,22 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libarccommon3t64 (= ${binary:Version}),
- libarcglobusutils3t64 (= ${binary:Version})
+ libarccommon4 (= ${binary:Version}),
+ libarcglobusutils4 (= ${binary:Version})
 Description: ARC Globus dependent DMCs
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ ARC Globus GridFTP plugins. These allow access to data through the
+ gridftp protocol.
+
+Package: nordugrid-arc-plugins-lcas-lcmaps
+Replaces:
+ nordugrid-arc-plugins-globus (<< 6.5.0~)
+Breaks:
+ nordugrid-arc-plugins-globus (<< 6.5.0~)
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
