=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,8 @@
 		    --libdir=/usr/lib \
 		    --libexecdir=/usr/lib \
 		    --docdir=/usr/share/doc/nordugrid-arc \
-		    --disable-acix \
 		    --enable-gfal \
+		    --enable-s3 \
 		    --enable-internal \
 		    --enable-systemd=$(SYSTEMD) \
 		    --with-systemd-units-location=/usr/lib/systemd/system \
@@ -42,17 +42,17 @@
 	fi
 
 	find python src -depth -name __pycache__ -exec rm -rf {} ';'
-	rm -rf src/services/a-rex/infoproviders/_Inline
-	rm -rf src/services/a-rex/infoproviders/test/_Inline
 
 override_dh_auto_install:
-	dh_auto_install
+	DEB_PYTHON_INSTALL_LAYOUT=deb dh_auto_install
 
 	find debian/tmp -name \*.la -exec rm -fv '{}' ';'
 
 	rm -f debian/tmp/usr/lib/arc/*.a
 
 	rm -f debian/tmp/usr/lib/libarcglobusutils.so
+
+	rm -f debian/tmp/usr/lib/python3*/*-packages/pyarcrest-*.*-info/direct_url.json
 
 	chmod 4755 debian/tmp/usr/bin/arc-job-cgroup
 
@@ -61,7 +61,6 @@
 	dh_installinit -o -p nordugrid-arc-arex --name arc-arex --no-enable
 	dh_installinit -o -p nordugrid-arc-arex --name arc-arex-ws --no-enable
 	dh_installinit -o -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service --no-enable
-	dh_installinit -o -p nordugrid-arc-gridftpd --name arc-gridftpd --no-enable
 	dh_installinit -o -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap --no-enable
 
 override_dh_installsystemd:
@@ -69,7 +68,6 @@
 	dh_installsystemd -p nordugrid-arc-arex --name arc-arex --no-enable
 	dh_installsystemd -p nordugrid-arc-arex --name arc-arex-ws --no-enable
 	dh_installsystemd -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service --no-enable
-	dh_installsystemd -p nordugrid-arc-gridftpd --name arc-gridftpd --no-enable
 	dh_installsystemd -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap --no-enable
 	dh_installsystemd -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap-slapd --no-enable
