## nordugrid-arc 7.1.0

=== debian/changelog ===
nordugrid-arc (7.1.0-1) unstable; urgency=medium

  * 7.1.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 11 Sep 2025 23:25:02 +0200

nordugrid-arc (7.0.0-4) unstable; urgency=medium

  * Fix build with make --shuffle=reverse (Closes: #1105492)
  * Fixes for xmlsec 1.3 (Closes: #1106895)
  * Fix a python argument parsing issue in arcctl

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 26 Jun 2025 11:22:37 +0200
