=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  libxml2-dev (>= 2.4.0),
  libssl-dev,
- libglibmm-2.4-dev,
+ libglibmm-2.68-dev,
  libltdl-dev,
  uuid-dev,
  libcppunit-dev,
@@ -39,7 +39,7 @@
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
-Homepage: http://www.nordugrid.org
+Homepage: https://www.nordugrid.org
 
 Package: libarccommon4
 Replaces:
