## nordugrid-arc 7.1.1

=== debian/changelog ===
nordugrid-arc (7.1.1-1) unstable; urgency=medium

  * 7.1.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 06 Oct 2025 08:20:29 +0200

nordugrid-arc (7.1.0-2) unstable; urgency=medium

  * Drop the GFAL plugin
  * Fix a segfault in arccp
  * Fix fscanf return value comparison
  * Drop old Conflicts and Breaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Oct 2025 05:25:37 +0200
