=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  libglobus-ftp-client-dev,
  libglobus-ftp-control-dev,
  libxrootd-client-dev,
- libgfal2-dev,
  libs3-dev,
  openssl,
  swig,
@@ -43,8 +42,6 @@
 
 Package: libarccommon4
 Replaces:
- nordugrid-arc-hed (<< 1.0.1~rc2~),
- nordugrid-arc-arex (<< 2.0.1~),
  libarccommon0,
  libarccommon1,
  libarccommon2,
@@ -52,11 +49,6 @@
  libarccommon3v5,
  libarccommon3t64
 Conflicts:
- nordugrid-arc-chelonia (<< 2.0.0~),
- nordugrid-arc-hopi (<< 2.0.0~),
- nordugrid-arc-isis (<< 2.0.0~),
- nordugrid-arc-janitor (<< 2.0.0~),
- nordugrid-arc-doxygen (<< 4.0.0~),
  nordugrid-arc-arcproxyalt (<< 6.0.0~),
  nordugrid-arc-java (<< 6.0.0~),
  nordugrid-arc-egiis (<< 6.0.0~),
@@ -70,10 +62,9 @@
  nordugrid-arc-nordugridmap (<< 7.0.0~),
  nordugrid-arc-gridmap-utils (<< 6.0.0~),
  nordugrid-arc-plugins-gridftpjob (<< 7.0.0~),
- nordugrid-arc-plugins-ldap (<< 7.0.0~)
-Breaks:
- nordugrid-arc-hed (<< 1.0.1~rc2~),
- nordugrid-arc-arex (<< 2.0.1~),
+ nordugrid-arc-plugins-ldap (<< 7.0.0~),
+ nordugrid-arc-plugins-gfal (<< 7.1.0-2~)
+Breaks:
  libarccommon0,
  libarccommon1,
  libarccommon2,
@@ -115,10 +106,6 @@
  transfers.
 
 Package: nordugrid-arc-hed
-Replaces:
- nordugrid-arc-client (<< 1.0.1~rc2~)
-Breaks:
- nordugrid-arc-client (<< 1.0.1~rc2~)
 Architecture: any
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -403,3 +390,13 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libarccommon4 (= ${binary:Version}),
+ libarcglobusutils4 (= ${binary:Version})
+Description: ARC LCAS/LCMAPS plugins
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ ARC LCAS/LCMAPS tools allow configuring ARC CE to use LCAS/LCMAPS
+ services for authorization and mapping.
+
