=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 		    --libdir=/usr/lib \
 		    --libexecdir=/usr/lib \
 		    --docdir=/usr/share/doc/nordugrid-arc \
-		    --enable-gfal \
 		    --enable-s3 \
 		    --enable-internal \
 		    --enable-systemd=$(SYSTEMD) \
